from fastapi import APIRouter, Depends, HTTPException, status, UploadFile, File
from sqlalchemy.orm import Session

from app.db.dependencies import get_db
from app.core.security import get_current_user
from app.schemas.user import UserInDB
from app.schemas.audio import AudioTranscription

router = APIRouter()

@router.post("/transcribe", response_model=AudioTranscription)
async def transcribe_audio(
    audio: UploadFile = File(...),
    current_user: UserInDB = Depends(get_current_user),
    db: Session = Depends(get_db)
):
    """
    Transcribe audio using OpenAI's Whisper API.
    """
    # Will be implemented after OpenAI Whisper integration
    # Placeholder for now
    raise HTTPException(
        status_code=status.HTTP_501_NOT_IMPLEMENTED,
        detail="Endpoint not implemented yet",
    )