from fastapi import APIRouter, Depends, HTTPException, status
from fastapi.security import OAuth2PasswordBearer, OAuth2PasswordRequestForm
from sqlalchemy.orm import Session

from app.core.config import settings
from app.db.dependencies import get_db
from app.schemas.auth import Token, TokenData
from app.services import firebase_auth

router = APIRouter()

@router.post("/token", response_model=Token)
async def login_for_access_token(
    form_data: OAuth2PasswordRequestForm = Depends(),
    db: Session = Depends(get_db)
):
    """
    Endpoint to authenticate users and get JWT token.
    Will use Firebase for authentication.
    """
    # This will be implemented after Firebase integration
    # Placeholder for now
    raise HTTPException(
        status_code=status.HTTP_501_NOT_IMPLEMENTED,
        detail="Endpoint not implemented yet",
    )

@router.post("/register", status_code=status.HTTP_201_CREATED)
async def register_user(
    # User registration data will be defined later
    db: Session = Depends(get_db)
):
    """
    Endpoint to register new users via Firebase.
    """
    # This will be implemented after Firebase integration
    # Placeholder for now
    raise HTTPException(
        status_code=status.HTTP_501_NOT_IMPLEMENTED,
        detail="Endpoint not implemented yet",
    )